@echo off
echo RedumpCUE2GDI is based on the app GDIdrop by https://github.com/feyris-tan/
echo GDIdrop was modified by https://github.com/awfulbear/ to run with updated
echo images and command line input so we can batch process entire archives at 
echo once and provide updates via console when run through the batch script.
echo.
echo This batch file will run through all sub directories located in this folder
echo and convert the BIN/CUE files to GDI format. It will place the GDI and 
echo Track files into folder called GDI located in the same directory that each
echo input BIN/CUE files are located.
echo.
echo If a file this script generates already exists then it will skip that 
echo step of the conversion process and display an error and move to the next
echo item in the list. Nothing will be overwritten.
echo.
echo Original input files will remain intact through each step!
echo.

setlocal
:PROMPT
SET /P AREYOUSURE="Are you sure you want to convert CUE -> GDI? (Y/[N])" 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

echo.
echo CUE to GDI conversion starting!
echo.

@echo on

for /r %%i in (*.cue) do RedumpCUE2GDI "%%i"

@echo off

echo.
echo CUE to GDI conversion complete!

:END
endlocal